#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Tiger
Summary:	Digest::Tiger - Tiger hash implementation
Summary(pl.UTF-8):	Digest::Tiger - implementacja skrótu Tiger
Name:		perl-Digest-Tiger
Version:	0.03
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	30946a6d1b4451a34e142370c2947370
Patch0:		%{name}-amd64.patch
URL:		http://search.cpan.org/dist/Digest-Tiger/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Tiger Perl module implements the Tiger hash, which returns a
192-bit hash value.

%description -l pl.UTF-8
Moduł Perla Digest::Tiger jest implementacją funkcji haszującej Tiger,
zwracającej 192-bitową wartość skrótu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Digest/Tiger.pm
%dir %{perl_vendorarch}/auto/Digest/Tiger
%{perl_vendorarch}/auto/Digest/Tiger/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Tiger/Tiger.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-Tiger.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5fdf98f
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1f1f830
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6272345
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7f04740
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 04d6845
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5d333d5
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2927ba5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 0511195
- up to 0.03

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d1fcdc1
- release 6

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 082bfe8
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c30974
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0979e26
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c8f9d3f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ea5724a
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 00f17a5
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 7650697
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sat May 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 37f13b2
- added amd64 patch, release 4

* Sat May 08 2004 Jakub Bogusz <qboosh@pld-linux.org> dbab78a
- amd64 port

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9fbcf30
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 13deec4
- fixed perl-devel BR

